For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
      • GETGet AI runs usage
      • GETGet contexts clientside usage
      • GETGet contexts serverside usage
      • GETGet contexts total usage
      • GETGet data export events usage
      • GETGet evaluations usage
      • GETGet events usage
      • GETGet experimentation events usage
      • GETGet experimentation keys usage
      • GETGet MAU clientside usage
      • GETGet MAU SDKs by type
      • GETGet MAU total usage
      • GETGet MAU usage
      • GETGet MAU usage by category
      • GETGet observability errors usage
      • GETGet observability logs usage
      • GETGet observability metrics usage
      • GETGet observability sessions usage
      • GETGet observability traces usage
      • GETGet SDK versions usage details
      • GETGet service connections usage
      • GETGet stream usage
      • GETGet stream usage by SDK version
      • GETGet stream usage SDK versions
      • GETGet usage details for all SDK versions
      • GETGet Vega AI usage
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewAccount Usage Beta

Get stream usage SDK versions

GET
/api/v2/usage/streams/:source/sdkversions
GET
/api/v2/usage/streams/:source/sdkversions
$curl https://app.launchdarkly.com/api/v2/usage/streams/source/sdkversions \
> -H "Authorization: <apiKey>"
1{
2 "_links": {},
3 "sdkVersions": [
4 {
5 "sdk": "Android",
6 "version": "3.1.2"
7 },
8 {
9 "sdk": "Android",
10 "version": "3.1.5"
11 },
12 {
13 "sdk": "C",
14 "version": "2.4.6"
15 }
16 ]
17}
Get a list of SDK version objects, which contain an SDK name and version. These are all of the SDKs that have connected to LaunchDarkly from your account in the past 60 days.
Was this page helpful?
Previous

Get usage details for all SDK versions

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Path parameters

sourcestringRequiredformat: "string"

The source of streaming connections to describe. Must be either client or server.

Response

SDK Versions response
_linksmap from strings to any
The location and content type of related resources
sdkVersionslist of objects
The list of SDK names and versions

Errors

401
Unauthorized Error
403
Forbidden Error
429
Too Many Requests Error